Subject: Re: linux-next: Tree for Oct 24

From: Mark Brown <[email-masked]>
Date: Fri, 25 Oct 2013 16:45:46 +0100

On Fri, Oct 25, 2013 at 06:33:43AM -0700, Olof Johansson wrote:
> On Fri, Oct 25, 2013 at 6:24 AM, Mark Brown <[email-masked]> wrote:

> > The rule I was applying (which I think is the same as Stephen applies)
> > is that I'd fix anything that was definitely the result of a merge issue
> > (like the build failure in misc due to a sysfs API change in the sysfs
> > tree) but not anything that was just plain broken in the tree in
> > isolation.

> Some of those might still make sense, but as many as possible of them
> should be pushed down into the trees where they belong, even if
> they're strictly not needed there (as long as they don't break the
> standalone tree, of course).

Right, this is strictly for issues generated as a result of a change in
one tree that cause an issue when merged with another tree like adding a
user of an API in one tree that has had an incompatible change in
another.